summaryrefslogtreecommitdiff
path: root/dev-python/python-augeas/python-augeas-1.0.3.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/python-augeas/python-augeas-1.0.3.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-augeas/python-augeas-1.0.3.ebuild')
-rw-r--r--dev-python/python-augeas/python-augeas-1.0.3.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-python/python-augeas/python-augeas-1.0.3.ebuild b/dev-python/python-augeas/python-augeas-1.0.3.ebuild
new file mode 100644
index 000000000000..2e5aaf2f767e
--- /dev/null
+++ b/dev-python/python-augeas/python-augeas-1.0.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Augeas"
+HOMEPAGE="http://augeas.net/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="app-admin/augeas
+ >=dev-python/cffi-1.0.0[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ cd test && "${PYTHON}" test_augeas.py || die
+}